Subject: RE: bug#15171: 24.3.50; (cl) `Common Lisp Compatibility' is incomplete

From: Drew Adams <[email-masked]>
Date: Sun, 9 Feb 2014 15:46:52 -0800 (PST)

> > This appendix is only a brief summary, it seems, and can be quite
> > misleading.  I'm skeptical that it specifies "a list of all known
> > incompatibilities" between the Emacs cl* libraries and Common
> > Lisp.
> >
> > But it is correct that it _should_ specify them all.
> 
> Or we could just change the line "The following is a list of all
> known incompatibilities between this package and Common Lisp as
> documented in Steele" to "a list of some of the more glaring
> incompatibilities"...

Some of the most _important_, OK.  But don't necessarily think
you've found an easy way to fix this bug.  The list would then
need to be fixed to specify the most important differences.

That might be easier that a comprehensive list of all differences,
but it is not trivial.  And it is not enough to suppose that the
list as it stands now is adequate in that regard either.

And no, not "most glaring", i.e., most obvious.  Users need
doc especially for what is not so obvious.  Most important, OK.
Most glaring, no.